curl -X POST https://secureapi.gridlog.io/api/v1/staking/claim \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana"
}'
{
"id": "stake_123...",
"claimedAmount": "5.5",
"txHash": "5j7s8KXY...",
"claimedAt": "2025-03-21T10:00:00.000Z"
}
Claim accumulated staking rewards to your wallet
curl -X POST https://secureapi.gridlog.io/api/v1/staking/claim \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana"
}'
{
"id": "stake_123...",
"claimedAmount": "5.5",
"txHash": "5j7s8KXY...",
"claimedAt": "2025-03-21T10:00:00.000Z"
}
curl -X POST https://secureapi.gridlog.io/api/v1/staking/claim \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana"
}'
{
"id": "stake_123...",
"claimedAmount": "5.5",
"txHash": "5j7s8KXY...",
"claimedAt": "2025-03-21T10:00:00.000Z"
}